from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import DrainViewSet, DrainEquipViewSet, VehicleAccessViewSet, EnvDataViewSet, CarWashViewSet

API_BASE_URL = 'api/enp/'
HTML_BASE_URL = 'dhtml/enp/'

router = DefaultRouter()
router.register('drain', DrainViewSet, basename='drain')
router.register('drain_equip', DrainEquipViewSet, basename='drain_equip')
router.register('vehicle_access', VehicleAccessViewSet,
                basename='vehicle_access')
router.register('envdata', EnvDataViewSet, basename='envdata')
router.register('carwash', CarWashViewSet, basename='carwash')
urlpatterns = [
    path(API_BASE_URL, include(router.urls)),
]
